<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Services\Client\WalletService;

class WalletController extends Controller
{
    protected WalletService $service;

    public function __construct(WalletService $service)
    {
        $this->service = $service;
    }

    /**
     * 获取钱包明细
     */
    public function records()
    {
        return $this->service->getWalletRecords();
    }
} 